# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 483858 $ 
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = plugins/jabber
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(sim_plugindir)"
sim_pluginLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(sim_plugin_LTLIBRARIES)
am__DEPENDENCIES_1 =
jabber_la_DEPENDENCIES = ../../sim/libsim.la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_jabber_la_OBJECTS = jabber.lo jabberconfig.lo jabberclient.lo \
	jabber_auth.lo jabber_rosters.lo jabber_ssl.lo jabberinfo.lo \
	jabberhomeinfo.lo jabberworkinfo.lo jabberaboutinfo.lo \
	jabberadd.lo jabbersearch.lo jabbermessage.lo jabberpicture.lo \
	jabberbrowser.lo discoinfo.lo infoproxy.lo jidsearch.lo \
	jidadvsearch.lo httppoll.lo
#>- jabber_la_OBJECTS = $(am_jabber_la_OBJECTS)
#>+ 9
jabber_la_final_OBJECTS = jabber_la.all_cpp.lo 
jabber_la_nofinal_OBJECTS = jabber.lo jabberconfig.lo jabberclient.lo \
	jabber_auth.lo jabber_rosters.lo jabber_ssl.lo jabberinfo.lo \
	jabberhomeinfo.lo jabberworkinfo.lo jabberaboutinfo.lo \
	jabberadd.lo jabbersearch.lo jabbermessage.lo jabberpicture.lo \
	jabberbrowser.lo discoinfo.lo infoproxy.lo jidsearch.lo \
	jidadvsearch.lo httppoll.lo jabberconfigbase.lo jabberinfobase.lo jabberhomeinfobase.lo jabberworkinfobase.lo jabberaboutinfobase.lo jabberaddbase.lo jabberpicturebase.lo discoinfobase.lo infoproxybase.lo jidsearchbase.lo jidadvsearchbase.lo
@KDE_USE_FINAL_FALSE@jabber_la_OBJECTS = $(jabber_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@jabber_la_OBJECTS = $(jabber_la_final_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
#>- 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(jabber_la_SOURCES)
DIST_SOURCES = $(jabber_la_SOURCES)
#>- RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
#>- 	html-recursive info-recursive install-data-recursive \
#>- 	install-exec-recursive install-info-recursive \
#>- 	install-recursive installcheck-recursive installdirs-recursive \
#>- 	pdf-recursive ps-recursive uninstall-info-recursive \
#>- 	uninstall-recursive
#>+ 6
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive nmcheck-recursive bcheck-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_AUTOAWAY_FALSE = @ENABLE_AUTOAWAY_FALSE@
ENABLE_AUTOAWAY_TRUE = @ENABLE_AUTOAWAY_TRUE@
ENABLE_ICQ_FALSE = @ENABLE_ICQ_FALSE@
ENABLE_ICQ_TRUE = @ENABLE_ICQ_TRUE@
ENABLE_LIVEJOURNAL_FALSE = @ENABLE_LIVEJOURNAL_FALSE@
ENABLE_LIVEJOURNAL_TRUE = @ENABLE_LIVEJOURNAL_TRUE@
ENABLE_MSN_FALSE = @ENABLE_MSN_FALSE@
ENABLE_MSN_TRUE = @ENABLE_MSN_TRUE@
ENABLE_ONTOP_FALSE = @ENABLE_ONTOP_FALSE@
ENABLE_ONTOP_TRUE = @ENABLE_ONTOP_TRUE@
ENABLE_PERMISSIVE_FLAG = @ENABLE_PERMISSIVE_FLAG@
ENABLE_REMOTE_FALSE = @ENABLE_REMOTE_FALSE@
ENABLE_REMOTE_TRUE = @ENABLE_REMOTE_TRUE@
ENABLE_SHORTCUTS_FALSE = @ENABLE_SHORTCUTS_FALSE@
ENABLE_SHORTCUTS_TRUE = @ENABLE_SHORTCUTS_TRUE@
ENABLE_SPELL_FALSE = @ENABLE_SPELL_FALSE@
ENABLE_SPELL_TRUE = @ENABLE_SPELL_TRUE@
ENABLE_STYLES_METAL_FALSE = @ENABLE_STYLES_METAL_FALSE@
ENABLE_STYLES_METAL_TRUE = @ENABLE_STYLES_METAL_TRUE@
ENABLE_STYLES_WOOD_FALSE = @ENABLE_STYLES_WOOD_FALSE@
ENABLE_STYLES_WOOD_TRUE = @ENABLE_STYLES_WOOD_TRUE@
ENABLE_TRANSPARENT_FALSE = @ENABLE_TRANSPARENT_FALSE@
ENABLE_TRANSPARENT_TRUE = @ENABLE_TRANSPARENT_TRUE@
ENABLE_UPDATE_FALSE = @ENABLE_UPDATE_FALSE@
ENABLE_UPDATE_TRUE = @ENABLE_UPDATE_TRUE@
ENABLE_WINDOCK_FALSE = @ENABLE_WINDOCK_FALSE@
ENABLE_WINDOCK_TRUE = @ENABLE_WINDOCK_TRUE@
ENABLE_YAHOO_FALSE = @ENABLE_YAHOO_FALSE@
ENABLE_YAHOO_TRUE = @ENABLE_YAHOO_TRUE@
EXEEXT = @EXEEXT@
EXTRA_LIBS = @EXTRA_LIBS@
F77 = @F77@
FFLAGS = @FFLAGS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
GPG_OBJ = @GPG_OBJ@
HAVE_GCC_VISIBILITY = @HAVE_GCC_VISIBILITY@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_CHECK_PLUGIN = @KDE_CHECK_PLUGIN@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_FPIE = @KDE_USE_FPIE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_USE_PIE = @KDE_USE_PIE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LDFLAGS_AS_NEEDED = @LDFLAGS_AS_NEEDED@
LDFLAGS_NEW_DTAGS = @LDFLAGS_NEW_DTAGS@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LFLAGS = @LFLAGS@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBZ = @LIBZ@
LIB_ASPELL = @LIB_ASPELL@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDED = @LIB_KDED@
LIB_KDEFX = @LIB_KDEFX@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KDNSSD = @LIB_KDNSSD@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMPROXY = @LIB_KIMPROXY@
LIB_KIO = @LIB_KIO@
LIB_KJS = @LIB_KJS@
LIB_KNEWSTUFF = @LIB_KNEWSTUFF@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUNITTEST = @LIB_KUNITTEST@
LIB_KUTILS = @LIB_KUTILS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XML2 = @LIB_XML2@
LIB_XRENDER = @LIB_XRENDER@
LIB_XSLT = @LIB_XSLT@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MAKEKDEWIDGETS = @MAKEKDEWIDGETS@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
QT_WIN_FALSE = @QT_WIN_FALSE@
QT_WIN_TRUE = @QT_WIN_TRUE@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SIM_RC_OBJ = @SIM_RC_OBJ@
SPELL_OBJ = @SPELL_OBJ@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
TRANSPARENT_OBJ = @TRANSPARENT_OBJ@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XML2_CONFIG = @XML2_CONFIG@
XMLLINT = @XMLLINT@
XSLT_CONFIG = @XSLT_CONFIG@
XSS_LIBS = @XSS_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ZIP = @ZIP@
ZIP_FLAGS = @ZIP_FLAGS@
__HOMEDIR_OBJ = @__HOMEDIR_OBJ@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_ARTS_FALSE = @include_ARTS_FALSE@
include_ARTS_TRUE = @include_ARTS_TRUE@
include_x11_FALSE = @include_x11_FALSE@
include_x11_TRUE = @include_x11_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdeinitdir = @kdeinitdir@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sim_plugindir = @sim_plugindir@
sim_stylesdir = @sim_stylesdir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
unsermake_enable_pch_FALSE = @unsermake_enable_pch_FALSE@
unsermake_enable_pch_TRUE = @unsermake_enable_pch_TRUE@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
sim_plugin_LTLIBRARIES = jabber.la
#>- jabber_la_SOURCES = \
#>-  jabber.cpp \
#>-  jabberconfig.cpp \
#>-  jabberconfigbase.ui \
#>-  jabberclient.cpp \
#>-  jabber_auth.cpp \
#>-  jabber_rosters.cpp \
#>-  jabber_ssl.cpp \
#>-  jabberinfo.cpp \
#>-  jabberinfobase.ui \
#>-  jabberhomeinfo.cpp \
#>-  jabberhomeinfobase.ui \
#>-  jabberworkinfo.cpp \
#>-  jabberworkinfobase.ui \
#>-  jabberaboutinfo.cpp \
#>-  jabberaboutinfobase.ui \
#>-  jabberadd.cpp \
#>-  jabberaddbase.ui \
#>-  jabbersearch.cpp \
#>-  jabbermessage.cpp \
#>-  jabberpicture.cpp \
#>-  jabberpicturebase.ui \
#>-  jabberbrowser.cpp \
#>-  discoinfo.cpp \
#>-  discoinfobase.ui \
#>-  infoproxy.cpp \
#>-  infoproxybase.ui \
#>-  jidsearch.cpp \
#>-  jidsearchbase.ui \
#>-  jidadvsearch.cpp \
#>-  jidadvsearchbase.ui \
#>-  httppoll.cpp 
#>+ 32
jabber_la_SOURCES=\
 jabber.cpp \
 jabberconfig.cpp \
  \
 jabberclient.cpp \
 jabber_auth.cpp \
 jabber_rosters.cpp \
 jabber_ssl.cpp \
 jabberinfo.cpp \
  \
 jabberhomeinfo.cpp \
  \
 jabberworkinfo.cpp \
  \
 jabberaboutinfo.cpp \
  \
 jabberadd.cpp \
  \
 jabbersearch.cpp \
 jabbermessage.cpp \
 jabberpicture.cpp \
  \
 jabberbrowser.cpp \
 discoinfo.cpp \
  \
 infoproxy.cpp \
  \
 jidsearch.cpp \
  \
 jidadvsearch.cpp \
  \
 httppoll.cpp  jabberconfigbase.cpp jabberinfobase.cpp jabberhomeinfobase.cpp jabberworkinfobase.cpp jabberaboutinfobase.cpp jabberaddbase.cpp jabberpicturebase.cpp discoinfobase.cpp infoproxybase.cpp jidsearchbase.cpp jidadvsearchbase.cpp

SUBDIRS = sounds
INCLUDES = -I$(srcdir)/../../sim -I../_core -I$(srcdir)/../_core $(all_includes)
#>- jabber_la_METASOURCES = AUTO
jabber_la_LIBADD = ../../sim/libsim.la  $(LIBUI) $(LIB_QT) $(LIB_KDECORE) $(LIBSSL) $(EXTRA_LIBS)
#>- jabber_la_LDFLAGS = -module -no-undefined -avoid-version -L../../sim/.libs $(QT_LDFLAGS) $(KDE_RPATH) $(all_libraries)
#>+ 1
jabber_la_LDFLAGS = -module -no-undefined $(KDE_NO_UNDEFINED) -avoid-version -L../../sim/.libs $(QT_LDFLAGS) $(KDE_RPATH) $(all_libraries)
#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  plugins/jabber/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  plugins/jabber/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  plugins/jabber/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  plugins/jabber/Makefile
	cd $(top_srcdir) && perl admin/am_edit plugins/jabber/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-sim_pluginLTLIBRARIES: $(sim_plugin_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(sim_plugindir)" || $(mkdir_p) "$(DESTDIR)$(sim_plugindir)"
	@list='$(sim_plugin_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(sim_pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(sim_plugindir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(sim_pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(sim_plugindir)/$$f"; \
	  else :; fi; \
	done

uninstall-sim_pluginLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(sim_plugin_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(sim_plugindir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(sim_plugindir)/$$p"; \
	done

clean-sim_pluginLTLIBRARIES:
	-test -z "$(sim_plugin_LTLIBRARIES)" || rm -f $(sim_plugin_LTLIBRARIES)
	@list='$(sim_plugin_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- jabber.la: $(jabber_la_OBJECTS) $(jabber_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@jabber.la: jabber.la.closure $(jabber_la_OBJECTS) $(jabber_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@jabber.la: $(jabber_la_OBJECTS) $(jabber_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(sim_plugindir) $(jabber_la_LDFLAGS) $(jabber_la_OBJECTS) $(jabber_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/discoinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/httppoll.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infoproxy.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabber.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabber_auth.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabber_rosters.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabber_ssl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberaboutinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberadd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberbrowser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberclient.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberconfig.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberhomeinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabbermessage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberpicture.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabbersearch.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jabberworkinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jidadvsearch.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jidsearch.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(sim_plugindir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-libtool clean-sim_pluginLTLIBRARIES \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-ui clean-closures clean-bcheck clean-final  clean-generic clean-libtool clean-sim_pluginLTLIBRARIES \
	mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am: install-sim_pluginLTLIBRARIES

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am uninstall-sim_pluginLTLIBRARIES

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
	clean clean-generic clean-libtool clean-recursive \
	clean-sim_pluginLTLIBRARIES ctags ctags-recursive distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-recursive distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-sim_pluginLTLIBRARIES \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
	uninstall-info-am uninstall-sim_pluginLTLIBRARIES

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
jabber.la.closure: $(jabber_la_OBJECTS) $(jabber_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > jabber_la_closure.cpp
	@$(LTCXXCOMPILE) -c jabber_la_closure.cpp
	$(CXXLINK) jabber_la_closure.lo $(jabber_la_LDFLAGS) $(jabber_la_OBJECTS) $(jabber_la_LIBADD) $(LIBS)
	@rm -f jabber_la_closure.* jabber.la.closure
	@echo "timestamp" > jabber.la.closure


#>+ 3
jidadvsearch.moc: $(srcdir)/jidadvsearch.h
	$(MOC) $(srcdir)/jidadvsearch.h -o jidadvsearch.moc

#>+ 2
mocs: jidadvsearch.moc

#>+ 3
jabbersearch.moc: $(srcdir)/jabbersearch.h
	$(MOC) $(srcdir)/jabbersearch.h -o jabbersearch.moc

#>+ 2
mocs: jabbersearch.moc

#>+ 3
discoinfo.moc: $(srcdir)/discoinfo.h
	$(MOC) $(srcdir)/discoinfo.h -o discoinfo.moc

#>+ 2
mocs: discoinfo.moc

#>+ 3
jabberbrowser.moc: $(srcdir)/jabberbrowser.h
	$(MOC) $(srcdir)/jabberbrowser.h -o jabberbrowser.moc

#>+ 2
mocs: jabberbrowser.moc

#>+ 3
jabberworkinfo.moc: $(srcdir)/jabberworkinfo.h
	$(MOC) $(srcdir)/jabberworkinfo.h -o jabberworkinfo.moc

#>+ 2
mocs: jabberworkinfo.moc

#>+ 3
jidsearch.moc: $(srcdir)/jidsearch.h
	$(MOC) $(srcdir)/jidsearch.h -o jidsearch.moc

#>+ 2
mocs: jidsearch.moc

#>+ 3
jabberclient.moc: $(srcdir)/jabberclient.h
	$(MOC) $(srcdir)/jabberclient.h -o jabberclient.moc

#>+ 2
mocs: jabberclient.moc

#>+ 3
jabberpicture.moc: $(srcdir)/jabberpicture.h
	$(MOC) $(srcdir)/jabberpicture.h -o jabberpicture.moc

#>+ 2
mocs: jabberpicture.moc

#>+ 3
infoproxy.moc: $(srcdir)/infoproxy.h
	$(MOC) $(srcdir)/infoproxy.h -o infoproxy.moc

#>+ 2
mocs: infoproxy.moc

#>+ 3
jabberconfig.moc: $(srcdir)/jabberconfig.h
	$(MOC) $(srcdir)/jabberconfig.h -o jabberconfig.moc

#>+ 2
mocs: jabberconfig.moc

#>+ 3
jabberinfo.moc: $(srcdir)/jabberinfo.h
	$(MOC) $(srcdir)/jabberinfo.h -o jabberinfo.moc

#>+ 2
mocs: jabberinfo.moc

#>+ 3
jabberaboutinfo.moc: $(srcdir)/jabberaboutinfo.h
	$(MOC) $(srcdir)/jabberaboutinfo.h -o jabberaboutinfo.moc

#>+ 2
mocs: jabberaboutinfo.moc

#>+ 3
jabberadd.moc: $(srcdir)/jabberadd.h
	$(MOC) $(srcdir)/jabberadd.h -o jabberadd.moc

#>+ 2
mocs: jabberadd.moc

#>+ 3
jabberhomeinfo.moc: $(srcdir)/jabberhomeinfo.h
	$(MOC) $(srcdir)/jabberhomeinfo.h -o jabberhomeinfo.moc

#>+ 2
mocs: jabberhomeinfo.moc

#>+ 3
clean-metasources:
	-rm -f  jidadvsearch.moc jabbersearch.moc discoinfo.moc jabberbrowser.moc jabberworkinfo.moc jidsearch.moc jabberclient.moc jabberpicture.moc infoproxy.moc jabberconfig.moc jabberinfo.moc jabberaboutinfo.moc jabberadd.moc jabberhomeinfo.moc

#>+ 2
KDE_DIST=jabberworkinfo.h jabber.rc jabberconfig.h jabberadd.h jabber.h jabberinfo.h jabberaboutinfo.h jabberbrowser.h discoinfo.h jidsearch.h infoproxy.h jabber.vcproj jabberworkinfobase.ui Makefile.in jabberpicture.h jabberpicturebase.ui jidadvsearchbase.ui jabberaddbase.ui jabbermessage.h jabberhomeinfobase.ui jidsearchbase.ui jabberaboutinfobase.ui jabber_pch.h jabberhomeinfo.h jabberinfobase.ui jabber_ssl.h jabberclient.h infoproxybase.ui jabbersearch.h discoinfobase.ui CMakeLists.txt jabberconfigbase.ui jidadvsearch.h Makefile.am 

#>+ 14
clean-ui:
	-rm -f \
	jabberconfigbase.cpp jabberconfigbase.h jabberconfigbase.moc \
	jabberinfobase.cpp jabberinfobase.h jabberinfobase.moc \
	jabberhomeinfobase.cpp jabberhomeinfobase.h jabberhomeinfobase.moc \
	jabberworkinfobase.cpp jabberworkinfobase.h jabberworkinfobase.moc \
	jabberaboutinfobase.cpp jabberaboutinfobase.h jabberaboutinfobase.moc \
	jabberaddbase.cpp jabberaddbase.h jabberaddbase.moc \
	jabberpicturebase.cpp jabberpicturebase.h jabberpicturebase.moc \
	discoinfobase.cpp discoinfobase.h discoinfobase.moc \
	infoproxybase.cpp infoproxybase.h infoproxybase.moc \
	jidsearchbase.cpp jidsearchbase.h jidsearchbase.moc \
	jidadvsearchbase.cpp jidadvsearchbase.h jidadvsearchbase.moc 

#>+ 3
clean-closures:
	-rm -f  jabber.la.closure

#>+ 2
docs-am:

#>+ 15
force-reedit:
		@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  plugins/jabber/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  plugins/jabber/Makefile
	cd $(top_srcdir) && perl admin/am_edit plugins/jabber/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-recursive

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
jabber_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/jabber.cpp $(srcdir)/jabberconfig.cpp $(srcdir)/jabberclient.cpp $(srcdir)/jabber_auth.cpp $(srcdir)/jabber_rosters.cpp $(srcdir)/jabber_ssl.cpp $(srcdir)/jabberinfo.cpp $(srcdir)/jabberhomeinfo.cpp $(srcdir)/jabberworkinfo.cpp $(srcdir)/jabberaboutinfo.cpp $(srcdir)/jabberadd.cpp $(srcdir)/jabbersearch.cpp $(srcdir)/jabbermessage.cpp $(srcdir)/jabberpicture.cpp $(srcdir)/jabberbrowser.cpp $(srcdir)/discoinfo.cpp $(srcdir)/infoproxy.cpp $(srcdir)/jidsearch.cpp $(srcdir)/jidadvsearch.cpp $(srcdir)/httppoll.cpp jabberconfigbase.cpp jabberinfobase.cpp jabberhomeinfobase.cpp jabberworkinfobase.cpp jabberaboutinfobase.cpp jabberaddbase.cpp jabberpicturebase.cpp discoinfobase.cpp infoproxybase.cpp jidsearchbase.cpp jidadvsearchbase.cpp  jidsearchbase.moc jabberhomeinfobase.moc jabberinfobase.moc jabbersearch.moc jabberconfigbase.moc jidsearch.moc jabberbrowser.moc jabberclient.moc jidadvsearchbase.moc jabberaddbase.moc infoproxy.moc jabberworkinfobase.moc discoinfobase.moc jabberaboutinfobase.moc infoproxybase.moc jidadvsearch.moc discoinfo.moc jabberworkinfo.moc jabberpicture.moc jabberconfig.moc jabberinfo.moc jabberaboutinfo.moc jabberadd.moc jabberpicturebase.moc jabberhomeinfo.moc
	@echo 'creating jabber_la.all_cpp.cpp ...'; \
	rm -f jabber_la.all_cpp.files jabber_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> jabber_la.all_cpp.final; \
	for file in jabber.cpp jabberconfig.cpp jabberclient.cpp jabber_auth.cpp jabber_rosters.cpp jabber_ssl.cpp jabberinfo.cpp jabberhomeinfo.cpp jabberworkinfo.cpp jabberaboutinfo.cpp jabberadd.cpp jabbersearch.cpp jabbermessage.cpp jabberpicture.cpp jabberbrowser.cpp discoinfo.cpp infoproxy.cpp jidsearch.cpp jidadvsearch.cpp httppoll.cpp jabberconfigbase.cpp jabberinfobase.cpp jabberhomeinfobase.cpp jabberworkinfobase.cpp jabberaboutinfobase.cpp jabberaddbase.cpp jabberpicturebase.cpp discoinfobase.cpp infoproxybase.cpp jidsearchbase.cpp jidadvsearchbase.cpp ; do \
	  echo "#include \"$$file\"" >> jabber_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> jabber_la.all_cpp.final; \
	done; \
	cat jabber_la.all_cpp.final jabber_la.all_cpp.files > jabber_la.all_cpp.cpp; \
	rm -f jabber_la.all_cpp.final jabber_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f jabber_la.all_cpp.cpp

#>+ 3
final:
	$(MAKE) jabber_la_OBJECTS="$(jabber_la_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) jabber_la_OBJECTS="$(jabber_la_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) jabber_la_OBJECTS="$(jabber_la_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) jabber_la_OBJECTS="$(jabber_la_nofinal_OBJECTS)" install-am

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 51
jabberhomeinfo.o: jabberhomeinfo.moc 
$(srcdir)/jabberclient.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
$(srcdir)/jabber_auth.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabbersearch.lo: jabbersearch.moc 
$(srcdir)/jabber_ssl.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
$(srcdir)/jabbermessage.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabbersearch.o: jabbersearch.moc 
jidadvsearch.lo: jidadvsearch.moc 
jidsearch.o: jidsearch.moc 
nmcheck-am: nmcheck
jabberinfo.lo: jabberinfo.moc 
jabberbrowser.o: jabberbrowser.moc 
$(srcdir)/jabberconfig.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabberclient.o: jabberclient.moc 
jabberpicture.o: jabberpicture.moc 
$(srcdir)/jabberbrowser.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
infoproxy.lo: infoproxy.moc 
infoproxy.o: infoproxy.moc 
jabberbrowser.lo: jabberbrowser.moc 
jabberconfig.o: jabberconfig.moc 
$(srcdir)/jabberaboutinfo.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
$(srcdir)/jabber_rosters.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jidadvsearch.o: jidadvsearch.moc 
jabberworkinfo.o: jabberworkinfo.moc 
jabberworkinfo.lo: jabberworkinfo.moc 
jabberconfig.lo: jabberconfig.moc 
jabberaboutinfo.o: jabberaboutinfo.moc 
$(srcdir)/jabberworkinfo.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
$(srcdir)/discoinfo.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
$(srcdir)/jidadvsearch.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
discoinfo.lo: discoinfo.moc 
$(srcdir)/jabberinfo.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabberclient.lo: jabberclient.moc 
$(srcdir)/jabber.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabberpicture.lo: jabberpicture.moc 
$(srcdir)/jabberpicture.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
nmcheck: 
jabberhomeinfo.lo: jabberhomeinfo.moc 
$(srcdir)/jabbersearch.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabberadd.o: jabberadd.moc 
jabberadd.lo: jabberadd.moc 
$(srcdir)/httppoll.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jidsearch.lo: jidsearch.moc 
$(srcdir)/jidsearch.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabberinfo.o: jabberinfo.moc 
$(srcdir)/jabberhomeinfo.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
jabberaboutinfo.lo: jabberaboutinfo.moc 
discoinfo.o: discoinfo.moc 
$(srcdir)/infoproxy.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 
$(srcdir)/jabberadd.cpp: jabberconfigbase.h jabberinfobase.h jabberhomeinfobase.h jabberworkinfobase.h jabberaboutinfobase.h jabberaddbase.h jabberpicturebase.h discoinfobase.h infoproxybase.h jidsearchbase.h jidadvsearchbase.h 

#>+ 154
infoproxybase.cpp: $(srcdir)/infoproxybase.ui infoproxybase.h infoproxybase.moc
	rm -f infoproxybase.cpp
	echo '#include "simapi.h"' > infoproxybase.cpp
	$(UIC) -tr ${UIC_TR} -i infoproxybase.h $(srcdir)/infoproxybase.ui > infoproxybase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" infoproxybase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_infoproxybase,g" >> infoproxybase.cpp ;\
	rm -f infoproxybase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "infoproxybase.moc"' >> infoproxybase.cpp; else rm -f infoproxybase.cpp ; exit $$ret ; fi

infoproxybase.h: $(srcdir)/infoproxybase.ui
	$(UIC) -o infoproxybase.h $(srcdir)/infoproxybase.ui

infoproxybase.moc: infoproxybase.h
	$(MOC) infoproxybase.h -o infoproxybase.moc

jabberinfobase.cpp: $(srcdir)/jabberinfobase.ui jabberinfobase.h jabberinfobase.moc
	rm -f jabberinfobase.cpp
	echo '#include "simapi.h"' > jabberinfobase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberinfobase.h $(srcdir)/jabberinfobase.ui > jabberinfobase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberinfobase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberinfobase,g" >> jabberinfobase.cpp ;\
	rm -f jabberinfobase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberinfobase.moc"' >> jabberinfobase.cpp; else rm -f jabberinfobase.cpp ; exit $$ret ; fi

jabberinfobase.h: $(srcdir)/jabberinfobase.ui
	$(UIC) -o jabberinfobase.h $(srcdir)/jabberinfobase.ui

jabberinfobase.moc: jabberinfobase.h
	$(MOC) jabberinfobase.h -o jabberinfobase.moc

jabberconfigbase.cpp: $(srcdir)/jabberconfigbase.ui jabberconfigbase.h jabberconfigbase.moc
	rm -f jabberconfigbase.cpp
	echo '#include "simapi.h"' > jabberconfigbase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberconfigbase.h $(srcdir)/jabberconfigbase.ui > jabberconfigbase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberconfigbase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberconfigbase,g" >> jabberconfigbase.cpp ;\
	rm -f jabberconfigbase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberconfigbase.moc"' >> jabberconfigbase.cpp; else rm -f jabberconfigbase.cpp ; exit $$ret ; fi

jabberconfigbase.h: $(srcdir)/jabberconfigbase.ui
	$(UIC) -o jabberconfigbase.h $(srcdir)/jabberconfigbase.ui

jabberconfigbase.moc: jabberconfigbase.h
	$(MOC) jabberconfigbase.h -o jabberconfigbase.moc

jabberaboutinfobase.cpp: $(srcdir)/jabberaboutinfobase.ui jabberaboutinfobase.h jabberaboutinfobase.moc
	rm -f jabberaboutinfobase.cpp
	echo '#include "simapi.h"' > jabberaboutinfobase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberaboutinfobase.h $(srcdir)/jabberaboutinfobase.ui > jabberaboutinfobase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberaboutinfobase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberaboutinfobase,g" >> jabberaboutinfobase.cpp ;\
	rm -f jabberaboutinfobase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberaboutinfobase.moc"' >> jabberaboutinfobase.cpp; else rm -f jabberaboutinfobase.cpp ; exit $$ret ; fi

jabberaboutinfobase.h: $(srcdir)/jabberaboutinfobase.ui
	$(UIC) -o jabberaboutinfobase.h $(srcdir)/jabberaboutinfobase.ui

jabberaboutinfobase.moc: jabberaboutinfobase.h
	$(MOC) jabberaboutinfobase.h -o jabberaboutinfobase.moc

jidadvsearchbase.cpp: $(srcdir)/jidadvsearchbase.ui jidadvsearchbase.h jidadvsearchbase.moc
	rm -f jidadvsearchbase.cpp
	echo '#include "simapi.h"' > jidadvsearchbase.cpp
	$(UIC) -tr ${UIC_TR} -i jidadvsearchbase.h $(srcdir)/jidadvsearchbase.ui > jidadvsearchbase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jidadvsearchbase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jidadvsearchbase,g" >> jidadvsearchbase.cpp ;\
	rm -f jidadvsearchbase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jidadvsearchbase.moc"' >> jidadvsearchbase.cpp; else rm -f jidadvsearchbase.cpp ; exit $$ret ; fi

jidadvsearchbase.h: $(srcdir)/jidadvsearchbase.ui
	$(UIC) -o jidadvsearchbase.h $(srcdir)/jidadvsearchbase.ui

jidadvsearchbase.moc: jidadvsearchbase.h
	$(MOC) jidadvsearchbase.h -o jidadvsearchbase.moc

jabberaddbase.cpp: $(srcdir)/jabberaddbase.ui jabberaddbase.h jabberaddbase.moc
	rm -f jabberaddbase.cpp
	echo '#include "simapi.h"' > jabberaddbase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberaddbase.h $(srcdir)/jabberaddbase.ui > jabberaddbase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberaddbase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberaddbase,g" >> jabberaddbase.cpp ;\
	rm -f jabberaddbase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberaddbase.moc"' >> jabberaddbase.cpp; else rm -f jabberaddbase.cpp ; exit $$ret ; fi

jabberaddbase.h: $(srcdir)/jabberaddbase.ui
	$(UIC) -o jabberaddbase.h $(srcdir)/jabberaddbase.ui

jabberaddbase.moc: jabberaddbase.h
	$(MOC) jabberaddbase.h -o jabberaddbase.moc

jabberhomeinfobase.cpp: $(srcdir)/jabberhomeinfobase.ui jabberhomeinfobase.h jabberhomeinfobase.moc
	rm -f jabberhomeinfobase.cpp
	echo '#include "simapi.h"' > jabberhomeinfobase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberhomeinfobase.h $(srcdir)/jabberhomeinfobase.ui > jabberhomeinfobase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberhomeinfobase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberhomeinfobase,g" >> jabberhomeinfobase.cpp ;\
	rm -f jabberhomeinfobase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberhomeinfobase.moc"' >> jabberhomeinfobase.cpp; else rm -f jabberhomeinfobase.cpp ; exit $$ret ; fi

jabberhomeinfobase.h: $(srcdir)/jabberhomeinfobase.ui
	$(UIC) -o jabberhomeinfobase.h $(srcdir)/jabberhomeinfobase.ui

jabberhomeinfobase.moc: jabberhomeinfobase.h
	$(MOC) jabberhomeinfobase.h -o jabberhomeinfobase.moc

discoinfobase.cpp: $(srcdir)/discoinfobase.ui discoinfobase.h discoinfobase.moc
	rm -f discoinfobase.cpp
	echo '#include "simapi.h"' > discoinfobase.cpp
	$(UIC) -tr ${UIC_TR} -i discoinfobase.h $(srcdir)/discoinfobase.ui > discoinfobase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" discoinfobase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_discoinfobase,g" >> discoinfobase.cpp ;\
	rm -f discoinfobase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "discoinfobase.moc"' >> discoinfobase.cpp; else rm -f discoinfobase.cpp ; exit $$ret ; fi

discoinfobase.h: $(srcdir)/discoinfobase.ui
	$(UIC) -o discoinfobase.h $(srcdir)/discoinfobase.ui

discoinfobase.moc: discoinfobase.h
	$(MOC) discoinfobase.h -o discoinfobase.moc

jidsearchbase.cpp: $(srcdir)/jidsearchbase.ui jidsearchbase.h jidsearchbase.moc
	rm -f jidsearchbase.cpp
	echo '#include "simapi.h"' > jidsearchbase.cpp
	$(UIC) -tr ${UIC_TR} -i jidsearchbase.h $(srcdir)/jidsearchbase.ui > jidsearchbase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jidsearchbase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jidsearchbase,g" >> jidsearchbase.cpp ;\
	rm -f jidsearchbase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jidsearchbase.moc"' >> jidsearchbase.cpp; else rm -f jidsearchbase.cpp ; exit $$ret ; fi

jidsearchbase.h: $(srcdir)/jidsearchbase.ui
	$(UIC) -o jidsearchbase.h $(srcdir)/jidsearchbase.ui

jidsearchbase.moc: jidsearchbase.h
	$(MOC) jidsearchbase.h -o jidsearchbase.moc

jabberpicturebase.cpp: $(srcdir)/jabberpicturebase.ui jabberpicturebase.h jabberpicturebase.moc
	rm -f jabberpicturebase.cpp
	echo '#include "simapi.h"' > jabberpicturebase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberpicturebase.h $(srcdir)/jabberpicturebase.ui > jabberpicturebase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberpicturebase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberpicturebase,g" >> jabberpicturebase.cpp ;\
	rm -f jabberpicturebase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberpicturebase.moc"' >> jabberpicturebase.cpp; else rm -f jabberpicturebase.cpp ; exit $$ret ; fi

jabberpicturebase.h: $(srcdir)/jabberpicturebase.ui
	$(UIC) -o jabberpicturebase.h $(srcdir)/jabberpicturebase.ui

jabberpicturebase.moc: jabberpicturebase.h
	$(MOC) jabberpicturebase.h -o jabberpicturebase.moc

jabberworkinfobase.cpp: $(srcdir)/jabberworkinfobase.ui jabberworkinfobase.h jabberworkinfobase.moc
	rm -f jabberworkinfobase.cpp
	echo '#include "simapi.h"' > jabberworkinfobase.cpp
	$(UIC) -tr ${UIC_TR} -i jabberworkinfobase.h $(srcdir)/jabberworkinfobase.ui > jabberworkinfobase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" jabberworkinfobase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_jabberworkinfobase,g" >> jabberworkinfobase.cpp ;\
	rm -f jabberworkinfobase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "jabberworkinfobase.moc"' >> jabberworkinfobase.cpp; else rm -f jabberworkinfobase.cpp ; exit $$ret ; fi

jabberworkinfobase.h: $(srcdir)/jabberworkinfobase.ui
	$(UIC) -o jabberworkinfobase.h $(srcdir)/jabberworkinfobase.ui

jabberworkinfobase.moc: jabberworkinfobase.h
	$(MOC) jabberworkinfobase.h -o jabberworkinfobase.moc
